Bplot(3)

NAME
Bplot

SYNOPSIS

#include <Bplot.h>

  Public Member Functions
Bplot ()
Bplot (long npage, long nrow, long ncol)
Bplot (Bstring &filename)
~Bplot ()
double & operator[] (long i)
Bstring & title ()
void title (const Bstring &t)
void title (const char *t)
void page_size (long w, long h)
long page_width ()
long page_height ()
void size (long w, long h)
long width ()
long height ()
void origin (long l, long b)
long left ()
long bottom ()
void pages (long n)
long pages ()
void rows (long n)
long rows ()
void columns (long n)
long columns ()
Bpage & page (long i)
double * data_pointer ()
void limits ()
void add (Bplot *p)
void multiply (double d)
double cut (long icol, double threshold, int dir=1)
void write_tsv (Bstring &filename)
void resolution_display (double *fsccut=NULL, double *dprcut=NULL)

Detailed Description

Definition at line 146 of file Bplot.h.

Constructor & Destructor Documentation

  Bplot::Bplot () [inline]

Definition at line 174 of file Bplot.h.

  Bplot::Bplot (long npage, long nrow, long ncol) [inline]

Definition at line 175 of file Bplot.h.

  Bplot::Bplot (Bstring & filename)

Definition at line 30 of file Bplot.cpp.

  Bplot::~Bplot () [inline]

Definition at line 179 of file Bplot.h.

Member Function Documentation

  void Bplot::add (Bplot * p) [inline]

Definition at line 240 of file Bplot.h.

  long Bplot::bottom () [inline]

Definition at line 200 of file Bplot.h.

  void Bplot::columns (long n) [inline]

Definition at line 209 of file Bplot.h.

  long Bplot::columns () [inline]

Definition at line 210 of file Bplot.h.

  double Bplot::cut (long icol, double threshold, int dir = 1) [inline]

Definition at line 246 of file Bplot.h.

  double* Bplot::data_pointer () [inline]

Definition at line 218 of file Bplot.h.

  long Bplot::height () [inline]

Definition at line 197 of file Bplot.h.

  long Bplot::left () [inline]

Definition at line 199 of file Bplot.h.

  void Bplot::limits () [inline]

Definition at line 219 of file Bplot.h.

  void Bplot::multiply (double d) [inline]

Definition at line 243 of file Bplot.h.

  double& Bplot::operator[] (long i) [inline]

Definition at line 184 of file Bplot.h.

  void Bplot::origin (long l, long b) [inline]

Definition at line 198 of file Bplot.h.

  Bpage& Bplot::page (long i) [inline]

Definition at line 211 of file Bplot.h.

  long Bplot::page_height () [inline]

Definition at line 194 of file Bplot.h.

  void Bplot::page_size (long w, long h) [inline]

Definition at line 192 of file Bplot.h.

  long Bplot::page_width () [inline]

Definition at line 193 of file Bplot.h.

  void Bplot::pages (long n) [inline]

Definition at line 201 of file Bplot.h.

  long Bplot::pages () [inline]

Definition at line 206 of file Bplot.h.

  void Bplot::resolution_display (double * fsccut = NULL, double * dprcut = NULL)

Definition at line 114 of file Bplot.cpp.

  void Bplot::rows (long n) [inline]

Definition at line 207 of file Bplot.h.

  long Bplot::rows () [inline]

Definition at line 208 of file Bplot.h.

  void Bplot::size (long w, long h) [inline]

Definition at line 195 of file Bplot.h.

  Bstring& Bplot::title () [inline]

Definition at line 189 of file Bplot.h.

  void Bplot::title (const Bstring & t) [inline]

Definition at line 190 of file Bplot.h.

  void Bplot::title (const char * t) [inline]

Definition at line 191 of file Bplot.h.

  long Bplot::width () [inline]

Definition at line 196 of file Bplot.h.

  void Bplot::write_tsv (Bstring & filename) [inline]

Definition at line 267 of file Bplot.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.